libxklavier (5.4-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:32:24 +0000

libxklavier (5.4-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Simplify debian/rules a bit

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13
  * Add minimal debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 11:46:01 -0500

libxklavier (5.4-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * debian/libxklavier16.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:05:26 -0500

libxklavier (5.4-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 20:11:06 -0500

libxklavier (5.4-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Drop intltool requirement from autogen.sh. It is not actually used by
    libxklavier. (Closes: #837848)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2016 00:23:17 +0200

libxklavier (5.4-1) unstable; urgency=low

  * New upstream release. (Closes: #714523)
    There is no official tarball, only a (signed) Git tag. Generate an
    orig.tar.xz via git archive and add a corresponding README.source.
  * Remove 0001-Explicitly-exporting-only-the-symbols-that-are-reall.patch,
    merged upstream.
  * Update symbols file. The xkl_engine_VOID__FLAGS_INT_BOOLEAN symbol was
    removed without a soname bump. According to codesearch.d.n there are no
    packages using it, so we should get away with it.
  * Bump debhelper compatibility level to 9.
  * Run upstream autogen.sh on dh_autoreconf.
  * Convert to multiarch. (Closes: #812958)
  * Bump Standards-Version to 3.9.8.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jul 2016 18:23:16 +0200

libxklavier (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/00git_gir_build_include.patch, merged upstream.
  * debian/control.in: Remove alternative dependency on xkb-data-legacy.
  * Add symbols file for libxklavier16.
  * Only export those symbols which are supposed to be public. Patch
    cherry-picked from upstream Git.
  * debian/rules: Rebuild gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Feb 2012 02:28:16 +0100

libxklavier (5.2-1) unstable; urgency=low

  * debian/watch: Watch for xz tarballs.
  * New upstream release.
  * Drop 00git_introspection.patch, upstream now.
  * Add 00git_gir_build_include.patch: Fix building of GIR. Taken from
    upstream git head.
  * Drop use-pkgconfig-properly.patch, upstream now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Feb 2012 10:50:36 +0100

libxklavier (5.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Martin Pitt ]
  * Add gobject-introspection support: (LP: #800561)
    - Add 00git_introspection.patch: Already accepted upstream, backported
      to 5.1.
    - debian/control.in: Add gir1.2-xkl-1.0 binary package and GI build
      dependencies. Also add dh-autoreconf build dependency.
    - debian/rules: Use dh-autoreconf cdbs module.
    - debian/rules: Bump shlibs to this version, as the patch adds a few new
      methods and the library bumped minor version.
    - Add debian/gir1.2-xkl-1.0.install: Install typelib.
    - debian/libxklavier-dev.install: Install .gir.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Jan 2012 16:18:44 +0100

libxklavier (5.1-2) unstable; urgency=low

  * debian/watch: Swich to .bz2 tarballs.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format
    - Remove simple-patchsys.mk from debian/rules.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Add Vcs-* fields.
    - Remove old Conflicts and Replaces which are no longer necessary.
  * debian/patches/use-pkgconfig-properly.patch:
    - Use Requires.private in libxklavier.pc to specify the dependencies
      instead of substituting CFLAGS/LIBS for other libraries as this will
      break with multiarch. Patch courtesy of Steve Langasek. Closes: #620110

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 17:33:07 +0200

libxklavier (5.1-1) experimental; urgency=low

  * New upstream release.
    + debian/rules: updated shlibs

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 10:23:49 +0100

libxklavier (5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Thu, 08 Apr 2010 23:56:50 +0200

libxklavier (5.0-1) experimental; urgency=low

  * New upstream release.
  * Use gnome-get-source.mk now the tarball is hosted on gnome.org.
  * Rename runtime binary to libxklavier16.

 -- Josselin Mouette <joss@debian.org>  Sun, 28 Mar 2010 10:43:39 +0200

libxklavier (4.0-2) unstable; urgency=low

  * Upload to unstable.
    - debian/rules: remove check-dist.mk.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 19:34:38 +0200

libxklavier (4.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Don’t install the .la file, it’s not referenced anywhere.
  * Drop the clean-la.mk include accordingly.

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #547645.
    - debian/patches/10_realloc-layout-names.patch:
      + Removed, fixed upstream.
    - debian/rules:
      + Bump shlibs.
    - debian/control.in,
      debian/libxklavier12-dev.install,
      debian/libxklavier-dev.install,
      debian/libxklavier12.install,
      debian/libxklavier15.install:
      + Rename libxklavier12 to libxklavier15 for the new SONAME.
      + Rename libxklavier12-dev to libxklavier-dev, no need to put the
        SONAME in the dev package since most packages usually still build
        after a new xklavier SONAME and we only ship one version at a time.
      + Add conflicts/replaces on libxklavier-dev for libxklavier12-dev.
  * debian/control.in:
    - Standards-Version is 3.8.3, no changes needed.
    - Remove old conflicts/replaces.
    - Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 08 Oct 2009 12:15:44 +0200

libxklavier (3.9-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs to version 3.8.
  * Add build-deps on gtk-doc-tools and libxi-dev.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 12:36:36 +0200

libxklavier (3.7-2) unstable; urgency=low

  [ Loic Minier ]
  * Drop xbase-clients alternate dep.
  * Fix typo s/iso-cods/iso-codes/; thanks Alban Browaeys; closes: #498182.

  [ Deng Xiyue ]
  * Use POSIX standard regex classes in sed trick in debian/rules.

  [ Josselin Mouette ]
  * Set the GNOME team as primary maintainer. Closes: #503539.
  * Build-depend on libglib2.0-doc to ensure proper xrefs.
  * Upload to unstable; drop check-dist include.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 13:53:06 +0200

libxklavier (3.7-1) experimental; urgency=low

  * New upstream stable releases; API addition in 3.6.
    - Bump shlibs to >= 3.6.
    - Build-dep on iso-codes.
    - Let libxklavier12 suggest iso-codes as only parts of the libxklavier ABI
      relies on the data files.
    - Bump up libglib2.0-dev bdep to >= 2.16.0.
    - Target at experimental for now due to lenny's freeze; include
      check-dist.mk.
    - Fixes crash with non-UTF-8 locales; closes: #481119, #492090.
  * Move shlibs definition to rules via DEB_DH_MAKESHLIBS_ARGS_ALL instead of
    debian/libxklavier12.shlibs.
  * Extract library package name from control.
  * Drop libxklavier.spec cleanup snippet.
  * Don't override DEB_CONFIGURE_EXTRA_FLAGS completely.
  * Update Standards-Version to 3.8.0.
  * Add Homepage field.
  * Use SF download page as download URL in copyright instead of homepage.

 -- Loic Minier <lool@dooz.org>  Fri, 05 Sep 2008 22:34:18 +0200

libxklavier (3.5-1) unstable; urgency=low

  [ Loic Minier ]
  * Add a note in control.in to please rename libxklavier12-dev to
    libxklavier-dev next time the SONAME changes.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/libxklavier12.install:
      - Remove directories that were removed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 06:11:39 +0100

libxklavier (3.4-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    + Let the shared library package replace libxklavier11 (Closes: #468259).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:10:28 +0100

libxklavier (3.4-2) experimental; urgency=low

  * debian/control.in:
    + Add Conflicts/Replaces for libxklavier11-dev.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Feb 2008 09:05:07 +0100

libxklavier (3.4-1) experimental; urgency=low

  * New upstream release with ABI breakage.
  * Change everything for the new soname.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 31 Jan 2008 10:20:43 +0100

libxklavier (3.3-2) unstable; urgency=low

  [ Loic Minier ]
  * Fix watch file; closes: #453565.

  [ Sebastian Dröge ]
  * debian/control.in:
    + Don't depend on the transitional xbase-clients package anymore
      but depend on x11-xkb-utils. Patch by Robert Millan (Closes: #455535).
    + Update Standards-Version to 3.7.3, no other changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Dec 2007 14:10:47 +0100

libxklavier (3.3-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream release:
    - Selecting keyboards per-vendor
  * Merged with the previous changelog entry
  * Updated watch file to work with SF.Net complex mirror system
  * Wrapped deps and build-deps

  [ Sebastian Dröge ]
  * debian/libxklavier11.shlibs:
    + Bump shlibs to >= 3.3 because of a new property.
  * debian/control.in:
    + Use ${binary:Version} instead of ${Source-Version} to make lintian happy.
    + Let the -dev package depend on libx11-dev as the headers include
      <X11/Xlib.h>.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Sep 2007 17:39:47 +0200

libxklavier (3.2-2) unstable; urgency=low

  * Upload to unstable, remove check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Apr 2007 17:11:19 +0200

libxklavier (3.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * New patch, 10_realloc-layout-names, fixes use of the return value of
    realloc; adapted from SourceForge #1463839.

  [ Sebastian Dröge ]
  * New upstream release with no API changes.
  * Updated 10_realloc-layout-names.patch: cleaned accidentially included
    files from the patch. Also fix syntax error to get stuff actually
    building.
  * Dropped 02_xklconfigfindobject-crashes-when-no-nodes-are-found.patch,
    merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Apr 2007 13:53:04 +0200

libxklavier (3.1-2) experimental; urgency=low

  * 01_xorg_xkb_path.patch: removed.
  * force xkbcomp path using --with-xkb-bin-base instead
    (closes: #404756).

 -- Josselin Mouette <joss@debian.org>  Wed,  3 Jan 2007 17:01:06 +0100

libxklavier (3.1-1) experimental; urgency=low

  * New upstream release.
  * 01_xorg_xkb_path.patch: don't rename xfree86.xml to xorg.xml, the
    file shipped in the package isn't renamed.

 -- Josselin Mouette <joss@debian.org>  Mon, 27 Nov 2006 22:05:41 +0100

libxklavier (3.0-2) experimental; urgency=low

  * Merge 2.2-4; update patch
    02_xklconfigfindobject-crashes-when-no-nodes-are-found.
  * Fix typo in Replaces; thanks Michael Biebl; closes: #398704.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Nov 2006 16:10:43 +0100

libxklavier (3.0-1) experimental; urgency=low

  * New upstream release.

  [ Ricardo Setti ]
  * Adapt to new version:
    - updated debian/patches/01_xorg_xkb_path.patch.
    - removed build-dep on doxygen, it's no longer necessary.
    - updated debehelper build-dep.
    - cleaned debian/rules to remove old stuff
    - added build-dep in libglib-2.0.
    - bump soname to 11.
  * Bumped Standards-Version.

  [ Jordi Mallach ]
  * debian/control: renamed to control.in.
  * debian/control.in:
    - bump libglib2.0-dev to >= 2.6.0, libxml2-dev to >= 2.0.0 as per
      configure.in.
    - add gnome-pkg-tools to Build-Depends.
    - rename libxklavier-dev to libxklavier11-dev, as 3.0 is a new,
      incompatible API.
    - don't make libxklavier11 Conflict: libxklavier10, Replaces is enough.
  * debian/rules: include gnome-pkg-tools' uploaders.mk to autogen Uploaders
    list.
  * debian/copyright: improve copyright notes, add upstream URL.

  [ Loic Minier ]
  * Add watch file.
  * Add ${misc:Depends} to all packages and ${shlibs:Depends} to the -dev
    package.
  * Use ${Source-Version} for the -dev package dependency on the shared lib.
  * Add CDBS' utils.
  * Let the -dev depend on libglib2.0-dev for the .pc file.
  * Use clean-la.mk and require gnome-pkg-tools 0.7.
  * Clean libxklavier.spec manually as upstream doesn't.

 -- Loic Minier <lool@dooz.org>  Fri,  6 Oct 2006 14:57:30 +0200

libxklavier (2.2-4) unstable; urgency=low

  * Add GNOME team as Uploaders.
  * New patch, 02_xklconfigfindobject-crashes-when-no-nodes-are-found, from
    the discussion in GNOME #367195; closes: #396492.

 -- Loic Minier <lool@dooz.org>  Sat,  4 Nov 2006 14:45:00 +0100

libxklavier (2.2-3) unstable; urgency=medium

  * debian/patches/01_xorg_xkb_path.patch: add fix by Marcelo Magallon
    which fixes the inability of xklavier to find xkbcomp due to the
    previous removal of its path and further changes to Xorg 7.0 since
    the bug was filed (closes: #363147).

 -- Jordi Mallach <jordi@debian.org>  Tue, 18 Apr 2006 23:45:24 +0200

libxklavier (2.2-2) unstable; urgency=low

  * debian/rules, libxklavier/xklavier_config_xkb.c: apply patch from Denis
    Barbier to look for XKB data in the new Xorg 7 path (closes: #358868).
  * debian/control: add dependency on xkb-data | xkb-data-legacy (for the
    new data) and xbase-clients (for xkbcomp).

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Apr 2006 15:46:51 +0200

libxklavier (2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: replace xlibs-static-dev with libxkbfile-dev in
    Build-Depends.
  * debian/rules: adapt for 2.2 version number.
  * debian/patches/01_link_x11.patch: removed, apparently not needed anymore.
  * debian/patches/02_xml_comments.patch: removed, fixed upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 28 Mar 2006 00:08:23 +0200

libxklavier (2.1-1) unstable; urgency=low

  * Add myself to uploaders.
  * GNOME XKB errors appear to be solved in this version (closes: #305987).
  * Re-add lost diff from 2.0-1. That was bad timing. :)
  * Move xorg.xml comments and linking patches to debian/patches,
    add simple-patchsys rules accordingly.
  * Conflict with libxklavier8, as it also shipped xfree86.xml
    (closes: #348997).
  * Update Standards-Version to 2.6.2.1, no changes required.

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Feb 2006 21:32:44 +0100

libxklavier (2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Drop all patches, applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Fri, 20 Jan 2006 12:34:16 +0100

libxklavier (2.0-1) unstable; urgency=low

  * Acknowledge NMUs. (Closes: #285606, #314271, #346245)
  * Don't get confused by xorg.xml comments, patch by Sam Morris.
    (Closes: #336791)
  * Remove xlibs-dev references from builddeps.

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 24 Jan 2006 21:24:41 +0100

libxklavier (2.0-0.3) unstable; urgency=low

  * NMU.
  * Apply patch from Andreas Jochens to fix failure to build with gcc-4.0.
    Closes: #314271.
  * Drop bogus Build-Depends on xlibs.

 -- Daniel Schepler <schepler@debian.org>  Fri,  6 Jan 2006 16:50:25 +0100

libxklavier (2.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable.
  * This version fixes a crash due to an invalid pointer return
    (closes: #285606).

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Jun 2005 23:24:56 +0200

libxklavier (2.0-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules: update doc directory.

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Apr 2005 05:39:11 +0200

libxklavier (1.14-0.2) experimental; urgency=low

  * Oops. soname bump.

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Mon, 18 Apr 2005 21:58:37 +0200

libxklavier (1.14-0.1) experimental; urgency=low

  * New upstream release, needed by GNOME 2.10.
    - fixes an invalid pointer return (closes: #285606).

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Sun, 10 Apr 2005 16:03:16 +0200

libxklavier (1.03-1) unstable; urgency=medium

  * New upstream version.
  * Explicitly link -lX11. (Closes: #262028)

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 03 Aug 2004 21:03:06 +0200

libxklavier (1.02-1) unstable; urgency=low

  * New upstream version.
  * Acknowledge NMUs. (Closes: #240121, #240467)

 -- Filip Van Raemdonck <mechanix@debian.org>  Fri, 16 Apr 2004 15:45:57 +0200

libxklavier (1.00-1.1) experimental; urgency=low

  * NMU to fix Build-Depends from first one (Closes: #240467).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 28 Mar 2004 03:12:06 +0200

libxklavier (1.00-1) experimental; urgency=low

  * NMU with maintainer approval (Closes: #240121).
    - new upstream release needed for gnome-control-center 2.6.
  * debian/control:
    - changed name from libxklavier7 to libxklavier8 due to soname change.
    - Build-Depends on libx11-dev and on xlibs instead of xlibs-dev.
  * debian/rules:
    - added --enable-doxygen for html doc.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 26 Mar 2004 20:03:46 +0100

libxklavier (0.96-1) unstable; urgency=medium

  * New upstream version.
  * Rerun autogen to fix FTBFS on arm. (Closes: #227528)

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 15 Jan 2004 18:56:08 +0100

libxklavier (0.95-1) unstable; urgency=low

  * Initial upload.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sat, 15 Nov 2003 18:35:31 +0100
